Last modified: 2013-03-16 01:30:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18998 - {{PAGESIZE:...}} returns empty string when top revision of page has no associated revision length
{{PAGESIZE:...}} returns empty string when top revision of page has no associ...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.15.x
All All
: Normal enhancement with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 12188 46183
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 11:33 UTC by Happy-melon
Modified: 2013-03-16 01:30 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Happy-melon 2009-05-29 11:33:35 UTC
Enter:
<{{PAGESIZE:Foo bar}}>
<{{PAGESIZE:Foo_bar}}>
<{{PAGESIZE:Talk:Fartown Ground, Huddersfield}}>

Expected:
<20>
<20>
<559>

Actual:
<>
<>
<>

This can occur either when the top revision is a 'null' revision, noting moves/protections/deletions/etc; or when the top revision is from before the time when rev_len started to be recorded (cf bug12188). The latter is transitory and can be resolved by writing and running the script requested in bug18881; the former needs to be addressed properly.
Comment 1 Alex Z. 2009-06-10 20:59:44 UTC
The issue with null revisions was fixed in r44885, which should apply to protection and moves.
Comment 2 Happy-melon 2010-06-03 23:16:45 UTC
I assume that with bug12188, this bug is also fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links